"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const getConfig_1 = require("./config/getConfig");
const logger_1 = require("./logger");
const init_1 = require("./command/init");
const run_1 = require("./command/run");
const showHelp_1 = require("./showHelp");
console.log(`🔨 Lage task runner - let's make it`);
console.log(``);
// Parse CLI args
const cwd = process.cwd();
try {
    const config = getConfig_1.getConfig(cwd);
    // Initialize logger
    if (config.verbose) {
        logger_1.logLevel("verbose");
    }
    if (config.command[0] === "init") {
        init_1.init(cwd);
    }
    else {
        run_1.run(cwd, config);
    }
}
catch (e) {
    console.error(e);
    showHelp_1.showHelp(e.message);
}
